"""
Consists of class for matching handler
"""
from typing import List


class Candidates:
    """
    Object with ids of candidates. Can accept (in list form) faces ids or lists ids of faces.

    Attributes:
        candidatesType: resource candidates type ("lists" or "faces")
        ids: list of candidates ids
    """

    def __init__(self, candidatesType: str, ids: List[str]):
        self.ids = ids
        self.candidatesType = candidatesType

    def asDict(self):
        """
        Creates a dict with all existing values of this data structure

        Returns: dict with values of this data structure
        """
        return {"type": self.candidatesType, "ids": self.ids}


class Reference:
    """
    Input object for matching with id of entity and its type ("attribute" or "event" or "face")

    Attributes:
        refType: entity type ("attribute" or "event" or "face")
        refId: id of entity
    """

    def __init__(self, refType: str, refId: str):
        self.refType = refType
        self.refId = refId

    def asDict(self):
        """
        Creates a dict with all existing values of this data structure

        Returns: dict with id and its type
        """
        return {"type": self.refType, "id": self.refId}
